open Interval
open Box
open Constr

val ieval: constr -> box -> (constr * Bool_intv.bintv)
(* returns equivalent, but possibly simpler, constraint and interval evaluation *)

val ieval_term: constr list (* c *) -> box (* B *) -> variable (* v *) -> interval
(* compute interval for v implied by 'c' and 'B' by interval evaluation, that is forward propagation *)

