type t = { mutable r:  bool array }

let num_expand = 32

let empty_set () =         
  { r= Array.make 0 false }

let add_el (s: t) (a: int): unit =
  if a>=(Array.length s.r) then
    s.r<- Array.append s.r (Array.make (a-(Array.length s.r)+num_expand) false);
  s.r.(a)<- true
    
let add (s: t) (l: int list): unit =
  List.iter (add_el s) l

let is_element (s: t) (a: int): bool =
  if a<(Array.length s.r) then s.r.(a) 
  else false

let copy (s: t): t =
  { r= Array.copy s.r }



